Skip to main content
POST
/
staking
/
chains
/
{chainDescriptor}
/
merge
TypeScript
const response: Promise<FireblocksResponse<MergeStakeAccountsResponse>> = fireblocks.staking.mergeStakeAccounts(stakingApiMergeStakeAccountsRequest);
{
  "id": "b70701f4-d7b1-4795-a8ee-b09cdb5b850d"
}

Documentation Index

Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Path Parameters

chainDescriptor
enum<string>
required

Protocol identifier for the merge staking operation (e.g., SOL).

Available options:
SOL,
SOL_TEST

Body

application/json
sourceId
string<uuid>
required

Id of the source position to merge from

Example:

"b70701f4-d7b1-4795-a8ee-b09cdb5b850d"

destinationId
string<uuid>
required

Id of the destination position to merge into

Example:

"f3432f4-34d1-43495-a8ee-jfdjnfj34i3"

fee
string

Represents the fee for a transaction, which can be specified as a percentage value. Only one of fee/feeLevel is required.

Example:

"7"

feeLevel
enum<string>

Represents the fee level for a transaction, which can be set as slow, medium, or fast. Only one of fee/feeLevel is required.

Available options:
LOW,
MEDIUM,
HIGH
Example:

"MEDIUM"

txNote
string

The note to associate with the merge transaction.

Example:

"Merging stake for optimization"

Response

Merge request accepted and created.

id
string
required

The unique identifier of the merge position (the id of the destination position)

Example:

"b70701f4-d7b1-4795-a8ee-b09cdb5b850d"